Debian Bug report logs - #719848
should call gzip with '-n' when compressing manpage and changelog

version graph

Package: hello; Maintainer for hello is Santiago Vila <sanvila@debian.org>; Source for hello is src:hello.

Reported by: Asheesh Laroia <paulproteus@rose.makesad.us>

Date: Fri, 16 Aug 2013 00:15:07 UTC

Severity: normal

Tags: patch

Fixed in version hello/2.8-4

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#719848; Package hello. (Fri, 16 Aug 2013 00:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <paulproteus@rose.makesad.us>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

hello: 2.8-3

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Fri, 16 Aug 2013 00:15:11 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <paulproteus@rose.makesad.us>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: should call gzip with '-n' when compressing manpage and changelog
Date: Thu, 15 Aug 2013 20:05:20 -0400
Package: hello
Version: hello: 2.8-3
Severity: normal
Tags: patch


In the interest of using the 'hello' package as a demo of great
packaging practices, and because I've become interested in creating
binary-reproducible builds in Debian, I propose the following very
simple patch:

--- hello-2.8/debian/rules	2013-02-13 11:27:19.000000000 +0100
+++ hello-2.8/debian/rules	2013-08-14 23:38:01.000000000 +0200
@@ -58,9 +58,9 @@
 	cp -a NEWS debian/copyright $(docdir)
 	cp -a debian/changelog $(docdir)/changelog.Debian
 	cp -a ChangeLog $(docdir)/changelog
-	cd $(docdir) && gzip -9 changelog changelog.Debian
-	gzip -r9 debian/tmp/usr/share/man
-	gzip -9 debian/tmp/usr/share/info/*
+	cd $(docdir) && gzip -9 -n changelog changelog.Debian
+	gzip -r9 -n debian/tmp/usr/share/man
+	gzip -9 -n debian/tmp/usr/share/info/*
 	dpkg-shlibdeps debian/tmp/usr/bin/hello
 	dpkg-gencontrol
 	chown -R 0:0 debian/tmp


-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Fri, 16 Aug 2013 09:09:05 GMT) Full text and rfc822 format available.

Notification sent to Asheesh Laroia <paulproteus@rose.makesad.us>:
Bug acknowledged by developer. (Fri, 16 Aug 2013 09:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 719848-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 719848-close@bugs.debian.org
Subject: Bug#719848: fixed in hello 2.8-4
Date: Fri, 16 Aug 2013 09:04:43 +0000
Source: hello
Source-Version: 2.8-4

We believe that the bug you reported is fixed in the latest version of
hello, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 719848@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated hello package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 16 Aug 2013 09:50:00 +0200
Source: hello
Binary: hello
Architecture: source amd64
Version: 2.8-4
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 hello      - The classic greeting, and a good example
Closes: 719848
Changes: 
 hello (2.8-4) unstable; urgency=low
 .
   * Added '-n' to all debian/rules gzip calls to help the build to be
     binary-reproducible. Closes: #719848.
   * Updated config.guess and config.sub.
Checksums-Sha1: 
 386a648783ea25aa15bf31b3853a9e65f3df5e4d 1290 hello_2.8-4.dsc
 daf9add30628b9f238aa2881ed21217470538a4e 12510 hello_2.8-4.debian.tar.gz
 88e404a8641a516af71c53694952c7f1fadfa47e 57384 hello_2.8-4_amd64.deb
Checksums-Sha256: 
 adfe64d244796fedfd1266c3d8cf0134d8b371d912aaa099eb6d77291e7753e1 1290 hello_2.8-4.dsc
 a8b98fe10e28707924afcf5ce9ffe243a59ac47e2ff1d75670f2e44e48c2ba27 12510 hello_2.8-4.debian.tar.gz
 9a738da76358511f7ba988a222fa57677762cf1d7a8d1efab3d7bd4c17200130 57384 hello_2.8-4_amd64.deb
Files: 
 1b6c5e82702d5d0c7876cd7aeb63c38b 1290 devel optional hello_2.8-4.dsc
 585acd817162ae52f6abf01b8f38880b 12510 devel optional hello_2.8-4.debian.tar.gz
 394412641fe84292991b28744a90234f 57384 devel optional hello_2.8-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQEcBAEBCAAGBQJSDduSAAoJEEHOfwufG4syuKQH/RzJ4KDgT3uUpio3de/BrNsv
xBIQk3W2VPVBT/kqeP9XJsJqv9Lv2h6MYWfH+Zcr3uGG2p0Ip98SkyoaLZFFzlJV
n4BpkjbK3Dl/2ddb4nX7NyviHCASHsqHZqej0dsaReoqhs5gGCMu+5AnIT2AkMUY
Akg4FXlMrmuX56uK8D5GI/1SAJSs0qq3ivQ6h4aj9ckue5U6TDmGhuUgAAaVlDZ7
tr/YaR++WlsaDXVDxBjMmPJwWGpPCgi/80NUxzojlyvBkdoGZpk9/RHV8AQffCZ8
cLFpMziwZTjv/iuY915xj7zLaplJJV2BvySeu70zz8RDnI9fulT2WGMcsivOEDc=
=Ikxr
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Sep 2013 07:32:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:40:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.